// Firebase Packages
import 'package:firebase_database/firebase_database.dart';

Future<List<DataSnapshot>> fetchData({
  required Query query,
  required int limit,
  DataSnapshot? startAfter,
}) async {
  query = query.limitToFirst(limit);

  if (startAfter != null) {
    query = query.startAfter(startAfter);
  }

  final DataSnapshot snap = await query.get();
  final List<DataSnapshot> data = snap.children.toList();
  return data;
}
