// Firebase Packages
import 'package:cloud_firestore/cloud_firestore.dart';

Future<List<DocumentSnapshot>> fetchDocuments({
  required Query query,
  required int limit,
  DocumentSnapshot? startAfter,
}) async {
  query = query.limit(limit);

  if (startAfter != null) {
    query = query.startAfterDocument(startAfter);
  }

  final QuerySnapshot snap = await query.get();
  final List<DocumentSnapshot> documents = snap.docs;
  return documents;
}
