// Flutter Packages
import 'package:flutter/material.dart';

class ListPagination<T> extends StatelessWidget {
  const ListPagination({
    Key? key,
    required this.controller,
    required this.items,
    required this.itemBuilder,
    required this.isLoading,
    required this.bottomLoader,
  }) : super(key: key);

  final ScrollController controller;
  final List<T> items;
  final Widget Function(BuildContext, T, int) itemBuilder;
  final bool isLoading;
  final Widget bottomLoader;

  @override
  Widget build(BuildContext context) {
    return ListView.builder(
      controller: controller,
      itemCount: items.length + (isLoading ? 1 : 0),
      itemBuilder: (BuildContext context, int index) {
        if (index >= items.length) return bottomLoader;

        return itemBuilder(context, items[index], index);
      },
    );
  }
}
